package com.brilliance.isc.mda.dao;
import org.apache.ibatis.annotations.Param;

import com.brilliance.isc.bo.Trs;
import org.apache.ibatis.annotations.Mapper;

import java.util.Collection;
import java.util.List;
import java.util.Map;

@Mapper
public interface TrsMapper<selectByObjtypAndObjinrAndUsr> {

    int insert(Trs record);

    int insertSelective(Trs record);

    int updateByPrimaryKeySelective(Trs record);

    int updateByPrimaryKey(Trs record);

    int deleteByPrimaryKey(Trs record);

    int deleteByIds(Collection<Object> collection);

    Trs selectByPrimaryKey(Trs record);

    int dyncDelete(Map<String,Object> dyncMap);

    List<Trs> dyncRead(Map<String,Object> dyncMap);

    Trs selectOneByObjtypAndObjinrAndUsr(@Param("objtyp") String objtyp, @Param("objinr") String objinr, @Param("usr") String usr);

    List<Trs> selectByObjtypAndObjinrAndUsr(@Param("objtyp") String objtyp, @Param("objinr") String objinr, @Param("usr") String usr);

    List<Trs> selectByObjtypAndObjinr(@Param("objtyp") String objtyp, @Param("objinr") String objinr);

    Trs selectByObjtypAndObjinrAndisSigidx(@Param("objtyp") String objtyp, @Param("objinr") String objinr);

    int selectCountByObjtypAndObjinr(@Param("objtyp") String objtyp,@Param("objinr") String objinr);

    String selectAllUsrByTrninr(@Param("objinr") String objinr);

    Trs selectByObjtypAndObjinrAndSigidx(@Param("objtyp") String objtyp, @Param("objinr") String objinr, @Param("sigidx") String sigidx);

}